Package org.eclipse.emf.cdo.ui

# Class CDOInvalidRootAgent

java.lang.Object
org.eclipse.emf.cdo.ui.CDOInvalidRootAgent

All Implemented Interfaces:
  `EventListener`, `org.eclipse.net4j.util.event.IListener`

public abstract class CDOInvalidRootAgent extends Object implements org.eclipse.net4j.util.event.IListener
Listens to `view target changed events` from the given `view` and adjusts the `input` of a `tree-based` UI accordingly.

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`CDOInvalidRootAgent(CDOView view)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`closeUI()`
`protected Object`
`createEmptyRoot(CDOObject invalidRoot)`
`void`
`dispose()`
`protected abstract Object`
`getRootFromUI()`
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`protected abstract void`
`setRootToUI(Object root)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOInvalidRootAgent

public CDOInvalidRootAgent(CDOView view)

## Method Details

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

### dispose

public void dispose()

### createEmptyRoot

protected Object createEmptyRoot(CDOObject invalidRoot)

### getRootFromUI

protected abstract Object getRootFromUI()

### setRootToUI

protected abstract void setRootToUI(Object root)

### closeUI

protected void closeUI()